Do not miss any Atlas Agent Engine API changes, ever again

Subscribe to the Atlas Agent Engine API changelog to be up to date on recent changes.

RSS

Jun 15, 2026

main
1.0
Compare

API structure has changed

28 structure changes including:
15 Breaking changes
6 Additions
7 Modifications
15 Removals
Modified 7 Breaking
POST /api/v1/invokeWorkspaceStream
  • Body
  • application/json content type Modified
    • payload property Added
GET /api/v1/execution-logs
  • Response
  • 200 response Modified
    • application/json content type Modified
      • logs property Modified
        • decision, guardrail_action, guardrail_name, guardrail_type, triggered_policy_ids properties Added
GET /api/v1/sessions/
  • Query
  • workspace_id query parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /api/v1/sessions/{session_id}/messages
  • Response
  • 200 response Modified
    • application/json content type Modified
      • messages property Modified
        • additional_kwargs property Added
GET /api/v1/workspaces
  • Response
  • 200 response Modified
    • application/json content type Modified
      • workspaces property Modified
        • language property Added
GET /api/v1/workspaces/{workspace_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • language property Added
POST /api/v1/invokeWorkspace
  • Body
  • application/json content type Modified
    • payload property Added
Removed 15 Breaking
GET /users/me
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /users/me/invitations
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /auth/device/activate
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /auth/device/confirm
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /auth/device/deny
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /auth/device/poll
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /auth/device/start
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /users
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /users/me/invitations/{invitationId}/accept
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /users/me/invitations/{invitationId}/decline
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /users/{id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /users
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /auth/device/confirm
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /auth/device/activate
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /users/{id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
Added 6
POST /api/v1/users/me/invitations/{invitationId}/decline
POST /api/v1/users/me/invitations/{invitationId}/accept
POST /api/v1/projects/{id}/memory/runtime
GET /api/v1/users/me/invitations
GET /api/v1/users/me
GET /api/v1/projects/{id}/memory/runtime